# Method: projects.locations.documents.delete

Deletes a document. Returns NOT_FOUND if the document does not exist.

### HTTP request

`POST https://contentwarehouse.googleapis.com/v1/{name}:delete`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the document to delete. Format: projects/{projectNumber}/locations/{location}/documents/{documentId} or projects/{projectNumber}/locations/{location}/documents/referenceId/{referenceId}. It takes the form `projects/{project}/locations/{location}/documents/{document}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestMetadata": { object (`https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/RequestMetadata`) } } ``` |

| Fields ||
|---|---|
| `requestMetadata` | ``object (`https://docs.cloud.google.com/document-warehouse/docs/reference/rest/v1/RequestMetadata`)`` The meta information collected about the end user, used to enforce access control for the service. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `contentwarehouse.documents.delete`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).